# Load libraries
from machine import Pin, Timer

# Initialization of GPIO26 as input
sensor = Pin(26, Pin.IN, Pin.PULL_DOWN)

# Create timer
timer = Timer()

# Variables initialization
counter = 0

# Function: Count steps
def up(timer):
    global counter
    counter = counter + 1
    print(counter)

# Debounce function: Set timer
def btn(pin):
    timer.init(mode=Timer.ONE_SHOT, period=100, callback=up)

# Initialization of the interrupt
sensor.irq(trigger=Pin.IRQ_FALLING, handler=btn)